Browse code

modernize and make it work again for brew

Nat! authored on 21-06-2017 12:57:00
Showing 9 changed files
... ...
@@ -1,3 +1,2 @@
1
-${MULLE_REPOSITORIES:-https://github.com/mulle-nat}/mulle-homebrew;./bin/mulle-homebrew;${MULLE_HOMEBREW_BRANCH:-release}
2 1
 ${MULLE_REPOSITORIES:-https://github.com/mulle-nat}/mulle-configuration;;${MULLE_CONFIGURATION_BRANCH:-release}
3 2
 ${MULLE_REPOSITORIES:-https://github.com/mulle-nat}/google-toolbox-for-mac
... ...
@@ -3,7 +3,7 @@ cmake_minimum_required (VERSION 3.0)
3 3
 project (MulleScion)
4 4
 
5 5
 
6
-set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/mulle-configuration)
6
+set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/mulle-configuration/cmake)
7 7
 message(STATUS "CMAKE_MODULE_PATH is ${CMAKE_MODULE_PATH}")
8 8
 message(STATUS "CMAKE_BUILD_TYPE is ${CMAKE_BUILD_TYPE}")
9 9
 
... ...
@@ -39,7 +39,7 @@ FIND_PACKAGE( ZLIB REQUIRED)
39 39
 message( STATUS "FOUNDATION_LIBRARY is ${FOUNDATION_LIBRARY}")
40 40
 message( STATUS "ZLIB_LIBRARIES is ${ZLIB_LIBRARIES}")
41 41
 
42
-add_definitions( -DPROJECT_VERSION=1858)
42
+add_definitions( -DPROJECT_VERSION=1858.1)
43 43
 
44 44
 
45 45
 add_library( MulleScion STATIC
... ...
@@ -1,6 +1,6 @@
1 1
 Pod::Spec.new do |s|
2 2
   s.name             = "MulleScion"
3
-  s.version          = '1858'
3
+  s.version          = '1858.1'
4 4
   s.summary          = "MulleScion a modern Template library for ObjC."
5 5
   s.description      = <<-DESC
6 6
                        MulleScion is indeed a modern Template library for ObjC.
... ...
@@ -1963,7 +1963,7 @@
1963 1963
 			baseConfigurationReference = 413C51611CC284CA00F62468 /* Debug.xcconfig */;
1964 1964
 			buildSettings = {
1965 1965
 				CLANG_WARN_INT_CONVERSION = YES;
1966
-				CURRENT_PROJECT_VERSION = 1858;
1966
+				CURRENT_PROJECT_VERSION = 1858.1;
1967 1967
 				DYLIB_COMPATIBILITY_VERSION = 1848.0;
1968 1968
 				DYLIB_CURRENT_VERSION = "$(CURRENT_PROJECT_VERSION)";
1969 1969
 				GCC_OPTIMIZATION_LEVEL = 0;
... ...
@@ -1995,7 +1995,7 @@
1995 1995
 			baseConfigurationReference = 413C516B1CC284CA00F62468 /* Release.xcconfig */;
1996 1996
 			buildSettings = {
1997 1997
 				CLANG_WARN_INT_CONVERSION = YES;
1998
-				CURRENT_PROJECT_VERSION = 1858;
1998
+				CURRENT_PROJECT_VERSION = 1858.1;
1999 1999
 				DYLIB_COMPATIBILITY_VERSION = 1848.0;
2000 2000
 				DYLIB_CURRENT_VERSION = "$(CURRENT_PROJECT_VERSION)";
2001 2001
 				GCC_PREPROCESSOR_DEFINITIONS = (
... ...
@@ -2064,7 +2064,7 @@
2064 2064
 			baseConfigurationReference = 413C516B1CC284CA00F62468 /* Release.xcconfig */;
2065 2065
 			buildSettings = {
2066 2066
 				CLANG_WARN_INT_CONVERSION = YES;
2067
-				CURRENT_PROJECT_VERSION = 1858;
2067
+				CURRENT_PROJECT_VERSION = 1858.1;
2068 2068
 				DYLIB_COMPATIBILITY_VERSION = 1848.0;
2069 2069
 				DYLIB_CURRENT_VERSION = "$(CURRENT_PROJECT_VERSION)";
2070 2070
 				GCC_PREPROCESSOR_DEFINITIONS = (
... ...
@@ -1,3 +1,7 @@
1
+### 1858.1
2
+
3
+* fix build problem with new mulle-configuration
4
+
1 5
 ## 1858
2 6
 
3 7
 There is an option that allows specifying includes via the environment like
... ...
@@ -1,6 +1,6 @@
1 1
 #! /usr/bin/env bash
2 2
 #
3
-#   Copyright (c) 2017 Nat! - Mulle kybernetiK
3
+#   Copyright (c) 2017 Nat! - Codeon GmbH
4 4
 #   All rights reserved.
5 5
 #
6 6
 #   Redistribution and use in source and binary forms, with or without
... ...
@@ -37,34 +37,8 @@
37 37
 #   ./bin/release.sh -v -n --publisher mulle-nat --publisher-tap mulle-kybernetik/software/
38 38
 #
39 39
 
40
-EXE_DIR="`dirname -- $0`"
41
-
42
-# if there is a release-info.sh file read it
43
-if [ -f "${EXE_DIR}/release-info.sh" ]
44
-then
45
-   DO_GIT_RELEASE="YES"
46
-   . "${EXE_DIR}/release-info.sh"
47
-fi
48
-
49
-# if there is a formula-info.sh file read it
50
-if [ -f "${EXE_DIR}/formula-info.sh" ]
51
-then
52
-   DO_GENERATE_FORMULA="YES"
53
-   . "${EXE_DIR}/formula-info.sh"
54
-fi
55
-
56
-#
57
-# If there is a - possibly .gitignored - tap-info.sh file read it.
58
-# It could store PUBLISHER and PUBLISHER_TAP
59
-#
60
-if [ -f "${EXE_DIR}/tap-info.sh" ]
61
-then
62
-   . "${EXE_DIR}/tap-info.sh"
63
-fi
64
-
65
-
66 40
 #######
67
-# If you are using mulle-build, you don't hafta change anything after this
41
+# If you are using mulle-build, you don't hafta change anything
68 42
 #######
69 43
 
70 44
 #
... ...
@@ -99,13 +73,14 @@ generate_brew_formula()
99 73
    _generate_brew_formula "$@"
100 74
 }
101 75
 
76
+
102 77
 #######
103 78
 # Ideally changes to the following values are done with the command line
104 79
 # which makes it easier for forks.
105 80
 #######
106 81
 
107 82
 MULLE_BOOTSTRAP_FAIL_PREFIX="`basename -- $0`"
108
-MULLE_HOMEBREW_VERSION="4.0.0"
83
+MULLE_HOMEBREW_VERSION="5.0.1"
109 84
 
110 85
 #
111 86
 # prefer local mulle-homebrew if available
... ...
@@ -124,6 +99,7 @@ fi
124 99
 INSTALLED_MULLE_HOMEBREW_VERSION="`mulle-homebrew-env version`" || exit 1
125 100
 LIBEXEC_DIR="`mulle-homebrew-env libexec-path`" || exit 1
126 101
 
102
+. "${LIBEXEC_DIR}/mulle-files.sh"       || exit 1
127 103
 . "${LIBEXEC_DIR}/mulle-homebrew.sh"    || exit 1
128 104
 . "${LIBEXEC_DIR}/mulle-git.sh"         || exit 1
129 105
 . "${LIBEXEC_DIR}/mulle-version.sh"     || exit 1
... ...
@@ -134,7 +110,7 @@ main()
134 110
 {
135 111
    if [ "${DO_GIT_RELEASE}" != "YES" -a "${DO_GENERATE_FORMULA}" != "YES" ]
136 112
    then
137
-      fail "Nothing to do. release-info.sh and formula-info.sh are missing"
113
+      fail "Nothing to do! bin/version-info.sh and bin/formula-info.sh are missing"
138 114
    fi
139 115
 
140 116
    if [ "${DO_GIT_RELEASE}" = "YES" ]
... ...
@@ -143,20 +119,32 @@ main()
143 119
       git_main "${BRANCH}" "${ORIGIN}" "${TAG}" "${GITHUB}" || exit 1
144 120
    fi
145 121
 
146
-   if [ "${DO_GENERATE_FORMULA}" = "YES" ]
122
+   if [ "${DO_GENERATE_FORMULA}" != "YES" ]
123
+   then
124
+       return
125
+   fi
126
+
127
+   if [ -z "${PUBLISHER}" ]
147 128
    then
148
-      # generate the formula and push it
149
-      homebrew_main "${PROJECT}" \
150
-                    "${NAME}" \
151
-                    "${VERSION}" \
152
-                    "${DEPENDENCIES}" \
153
-                    "${BUILD_DEPENDENCIES}" \
154
-                    "${HOMEPAGE_URL}" \
155
-                    "${DESC}" \
156
-                    "${ARCHIVE_URL}" \
157
-                    "${HOMEBREW_TAP}" \
158
-                    "${RBFILE}"
129
+      fail "You need to specify a publisher with --publisher (hint: https://github.com/<publisher>)"
159 130
    fi
131
+
132
+   if [ -z "${PUBLISHER_TAP}" ]
133
+   then
134
+      fail "You need to specify a publisher tap with --tap (hint: <mulle-kybernetik/software>)"
135
+   fi
136
+
137
+   # generate the formula and push it
138
+   homebrew_main "${PROJECT}" \
139
+                 "${NAME}" \
140
+                 "${VERSION}" \
141
+                 "${DEPENDENCIES}" \
142
+                 "${BUILD_DEPENDENCIES}" \
143
+                 "${HOMEPAGE_URL}" \
144
+                 "${DESC}" \
145
+                 "${ARCHIVE_URL}" \
146
+                 "${HOMEBREW_TAP}" \
147
+                 "${RBFILE}"
160 148
 }
161 149
 
162 150
 main "$@"
163 151
similarity index 100%
164 152
rename from bin/release-info.sh
165 153
rename to bin/version-info.sh
... ...
@@ -1,6 +1,6 @@
1 1
 `filter` pushes the resultant text of template texts and expressions through a
2 2
 **NSString** method returning a string. A `filter` has a corresponding `endfilter`
3
-to turn of filtering.
3
+to turn off filtering.
4 4
 
5 5
 #### Example 1
6 6
 ```
... ...
@@ -1,4 +1,4 @@
1
-`set` is used to assigning values to variables. You may omit the `set` keyword
1
+`set` is used to assign values to variables. You may omit the `set` keyword
2 2
 if you want.
3 3
 
4 4
 #### Example